com.dlsc.flexgantt.model.gantt

## Class SpreadsheetValuesList

- java.lang.Object
- - com.dlsc.flexgantt.model.gantt.SpreadsheetValuesList

- All Implemented Interfaces:
    ISpreadsheetValuesList

      public class SpreadsheetValuesList
      extends Object
      implements ISpreadsheetValuesList

  A spreadsheet values list implementation capable of storing a list of distinct non overlapping time spans and their associated values.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    `IGanttChartModel.getSpreadsheetValue(ISpreadsheet, Object, ITimeSpan)`, `IGanttChartModel.getSpreadsheetValueType(ISpreadsheet, Object, ITimeSpan)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpreadsheetValuesList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearValues()` Removes all entries from the list.
    `int` | `getSize()` Returns the total number of fragments (time span to object associations).
    `Object` | `getValue(ITimeSpan span)` Returns the value for the given time span.
    `void` | `setValue(Object value, ITimeSpan span)` Sets an object as a value for the given time span.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpreadsheetValuesList

          public SpreadsheetValuesList()

  - ### Method Detail

    - #### getSize

          public int getSize()

      Description copied from interface: `ISpreadsheetValuesList`
      Returns the total number of fragments (time span to object associations).
      Specified by:
        `getSize` in interface `ISpreadsheetValuesList`
      Returns:
        the fragmentation count

    - #### getValue

          public Object getValue(ITimeSpan span)

      Description copied from interface: `ISpreadsheetValuesList`
      Returns the value for the given time span. The list will return the first object if several objects are associated with the given span.
      Specified by:
        `getValue` in interface `ISpreadsheetValuesList`
      Returns:
        the value object for the given time span
      See Also:
        `ISpreadsheetValuesList.setValue(Object, ITimeSpan)`

    - #### setValue

          public void setValue(Object value,
                               ITimeSpan span)

      Description copied from interface: `ISpreadsheetValuesList`
      Sets an object as a value for the given time span.
      Specified by:
        `setValue` in interface `ISpreadsheetValuesList`
      Parameters:
        `value` - the new value
        `span` - the time span
      See Also:
        `ISpreadsheetValuesList.getValue(ITimeSpan)`

    - #### clearValues

          public void clearValues()

      Removes all entries from the list.
      Since:
        2.1

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.